#coding utf-8
import sys
import json
from db_help import RedisHelper

if __name__=="__main__":
     f2 = open(sys.argv[2], 'w')
     import_data_dict = {}
     with  open(sys.argv[1]) as f:
         while True:
             line = f.readline()
             if not line:
                 break
             items = line.strip().split("\t")
             if len(items)<2:
                 continue
             vid = items[0]
             key = "rv2:"+vid
             rec_list = json.loads(items[1])
             if len(rec_list)==0:
                 continue
             rec_item_list = []
             for rec_item in rec_list:
                 rec_item_list.append((rec_item[0], round(rec_item[1],3)))
             res_info = json.dumps(rec_item_list[:10])
             f2.write(key+"\t"+res_info+"\n")
             #key="rv:"+str(line[0])
             import_data_dict[key] = res_info
     redis_helper = RedisHelper()
     redis_helper.update_batch_setnx_key(import_data_dict, 60*60*24*7)
         #con = redis_helper.connect()
     res = redis_helper.get_data_from_redis("rv2:14737974")
     print(res)
     f2.close()
     f.close()